export class GeoJsonData {
    constructor() {
        this.type = 'FeatureCollection';
        this.features = [];
    }
}
export class Feature {
    constructor(geometry, properties) {
        this.geometry = geometry;
        this.properties = properties;
        this.type = 'Feature';
    }
}
//////////////////////////////////////////////////////
// InnerClasses
/////////////////////////////////////////////////////
class GeoProperties {
}
class Geometry {
}
export class PointGeometry extends Geometry {
    // 0: longitude, 1: latitude
    constructor(coordinates) {
        super();
        this.coordinates = coordinates;
        this.type = 'Point';
    }
}
export class LineStringGeometry extends Geometry {
    constructor(coordinates) {
        super();
        this.coordinates = coordinates;
        this.type = 'LineString';
    }
}
